# Запит отримання данних мерчанта aPау

Запит для отримання мерчантом даних та налаштувань аРау мерчанта

Опціональний запит. Можливий hard-coded данних аРау на стороні мерчанта

### Вхідні параметри частини payload JWS :

| Параметр             | Опиc                                                                                                                 | Формат даних | Приклад                                    |
| -------------------- | -------------------------------------------------------------------------------------------------------------------- | ------------ | ------------------------------------------ |
| merchantCapabilities | визначає, які можливості підтримує мерчант для обробки платежів через Apple Pay                                      | object       | supports3DS, supportsCredit, supportsDebit |
| supportedNetworks    | визначає список платіжних мереж (типів карток), які підтримуються мерчантом для обробки платежів через Apple Pay.    | object       | visa, masterCard                           |
| countryCode          | дволітерний код країни (згідно зі стандартом ISO 3166-1 alpha-2), де буде здійснено транзакцію через Apple Pay.      | string       | UA                                         |
| currencyCode         | визначає валюту, в якій буде здійснено платіж через Apple Pay. Трилітерний код валюти згідно зі стандартом ISO 4217. | string       | UAH                                        |

### Приклади :

<details>

<summary>JWS Payload — тіло запиту перед підписанням</summary>

```json
{  }
```

</details>

<details>

<summary>JWS Payload — тіло відповіді перед підписанням</summary>

```json
{
    "merchantCapabilities": [
        "SUPPORTS_3DS"
    ],
    "supportedNetworks": [
        "VISA"
    ],
    "countryCode": [
        "UA"
    ],
    "currencyCode": "UAH"
}
```

</details>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.merchant.alb.ua/avtorizaciya-2.0/platizhni-metodi-h2h/applepay-encrypted/zapit-otrimannya-dannikh-merchanta-apau.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
